Upstream information

CVE-2009-0848 at MITRE

Description

Untrusted search path vulnerability in GTK2 in OpenSUSE 11.0 and 11.1 allows local users to execute arbitrary code via a Trojan horse GTK module in an unspecified "relative search path."

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.4
Vector AV:L/AC:M/Au:N/C:P/I:P/A:P
Access Vector Local
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
No SUSE Bugzilla entries cross referenced.

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
openSUSE 11.0
  • gtk2-debuginfo >= 2.12.9-37.3
  • gtk2-debugsource >= 2.12.9-37.3
openSUSE 11.0
  • gtk2 >= 2.12.9-37.3
  • gtk2-32bit >= 2.12.9-37.3
  • gtk2-64bit >= 2.12.9-37.3
  • gtk2-branding-upstream >= 2.12.9-37.3
  • gtk2-devel >= 2.12.9-37.3
  • gtk2-devel-64bit >= 2.12.9-37.3
  • gtk2-doc >= 2.12.9-37.3
  • gtk2-lang >= 2.12.9-37.3
openSUSE 11.1
  • gtk2-debuginfo >= 2.14.4-8.6.2
  • gtk2-debugsource >= 2.14.4-8.6.2
openSUSE 11.1
  • gtk2 >= 2.14.4-8.6.2
  • gtk2-32bit >= 2.14.4-8.6.2
  • gtk2-64bit >= 2.14.4-8.6.3
  • gtk2-branding-upstream >= 2.14.4-8.6.2
  • gtk2-devel >= 2.14.4-8.6.2
  • gtk2-doc >= 2.14.4-8.6.2
  • gtk2-lang >= 2.14.4-8.6.2


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 GA gtk2 Affected
SUSE Linux Enterprise SDK 11 GA gtk2 Affected
SUSE Linux Enterprise Server 11 GA gtk2 Affected